﻿<center class="modal-for-crud">
    <h2 class="primary">{{vm.TitleModal}}</h2>
    <span class="field-required" style="font-size: 10px; display: block;">* Campos de preenchimento obrigatório</span>

    <form name="formMaintenanceUser"
          class="navbar-form"
          role="search"
          style="display: inline-table;">

        <div class="pull-left">
            <div class="form-group">
                <label>Nome<span class="field-required">*</span></label>
                <input ng-model="vm.user.name"
                       required
                       type="text"
                       class="form-control">
            </div>
            <div class="form-group">
                <div class="to-left">
                    <label>Senha</label>
                    <input ng-model="vm.user.password"
                           type="password"
                           placeholder="6 caracteres, no mínimo."
                           ng-minlength="6"
                           class="form-control">
                </div>
                <div class="to-right">
                    <label>Repetir senha</label>
                    <input ng-model="vm.user.repeatPassword"
                           type="password"
                           placeholder="6 caracteres, no mínimo."
                           ng-minlength="6"
                           class="form-control">
                </div>
            </div>
        </div>

        <div class="pull-right">
            <div class="form-group">
                <div class="to-left">
                    <label>E-mail<span class="field-required">*</span></label>
                    <input ng-model="vm.user.email"
                           required
                           type="text"
                           class="form-control">
                </div>
                <div class="to-right">
                    <label>Tipo Cliente<span class="field-required">*</span></label>
                    <select class="form-control"
                            ng-model="vm.user.permissionLevel"
                            ng-options="o.id as o.description for o in vm.permissionLevels"
                            required></select>
                </div>
            </div>
            <div class="form-group">
                <label>Instituições:</label><br>
                <select multiple
                        ng-options="o.id as o.description for o in vm.institutions"
                        ng-model="vm.user.institutions"
                        style="width: 100%; height: 100px;"></select>
                <p style="font-size: 10px;">(Segure CONTROL para selecionar mais de 1 item)</p>
            </div>
        </div>

        <hr />
        <div class="footer-buttons">
            <button type="button"
                    ng-click="vm.SaveUser()"
                    ng-disabled="formMaintenanceUser.$invalid || !vm.EqualPasswords()"
                    class="btn btn-primary">
                Salvar Cliente
            </button>
        </div>

    </form>

</center>
